from __future__ import absolute_import, division, print_function
from NuRadioReco.utilities import units
from NuRadioMC.EvtGen.generator import generate_eventlist_cylinder

# define simulation volume
volume = {
'fiducial_zmin':-2.7 * units.km,  # the ice sheet at South Pole is 2.7km deep
'fiducial_zmax': 0 * units.km,
'fiducial_rmin': 0 * units.km,
'fiducial_rmax': 3.9 * units.km}

generate_eventlist_cylinder(
    f'./input_19-22/event.hdf5', n_events=17276, # corresponds (for this flux) to 1e7 events between 5e16 and 1e19
    Emin=10**19 * units.eV, Emax=1e22 * units.eV, 
    volume=volume, spectrum='GZK-1+IceCube-nu-2017',
    n_events_per_file=int(1e3),
    )
